<?php
##########################################
# PeopleBook - A People Directory Component #
# Based on MambatStaff from Marco Salcher www.binarydigit.at
# and AkoStaff from Arthur Konze www.mamboportal.com #
# Copyright (C) 2005 #
# further development by N.Moyroud #
# Homepage : www.mamboforge.net/projects/peoplebook #
# Email : nmoyroud@teledetection.fr #
# Version : 1.0 #
# License : GNU GPL Public License #
# deejey - enabled for 1.5 legacy  www.dragonet.de
##########################################

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

$interfaceType = 'administration';
require_once( $mosConfig_absolute_path."/administrator/components/com_peoplebook/config.peoplebook.php");
require_once( $mosConfig_absolute_path."/administrator/components/com_peoplebook/class.peoplebook.php");
require_once( $mosConfig_absolute_path."/administrator/components/com_peoplebook/param.peoplebook.php");
require_once( $mainframe->getPath( 'admin_html' ) );

$cid = mosGetParam( $_POST, 'cid', array(0) );

if (is_array($list['status'])) {
   foreach ($list['status'] as $value) {
      $stati[] = $value;
   }
}

switch ($task) {
  case "new":
    editStaff( $option, 0, $list );
    break;
  
  case "add":	// 1.5
    editStaff( $option, 0, $list );
    break;
    
  case "edit":
    editStaff( $option, $cid[0], $list );
    break;

  case "save":
    saveStaff( $option );
    break;

  case "remove":
    removeStaff( $cid, $option );
    break;

  case "publish":
    publishStaff( $cid, 1, $option );
    break;

  case "unpublish":
    publishStaff( $cid, 0, $option );
    break;

  case "cancel":
    cancelStaff( $option );
    break;

  case "orderup":
    orderStaff( $cid[0], -1, $option );
    break;

  case "orderdown":
    orderStaff( $cid[0], 1, $option );
    break;

  case "settings":
    showConfig( $option, $list );
    break;

  case "savesettings":
    saveConfig ( $option );
    break;

  case "list_custom_fields":
    list_custom_fields( $option );
	break;

  case "new_custom_field":
    new_custom_field( $option );
	break;

  case "save_custom_field":
    save_custom_field( $option );
	break;

  case "edit_custom_field":
    edit_custom_field( $option );
	break;

  case "delete_custom_field":
    del_custom_field( $option, $cid );
	break;

  case "credits":
    html_peoplebook::show_credits();
	break;

  case "categories":
//  deejey - Categoryhandling depends on J!-Version
  	if (!defined('_JEXEC')) {
  		mosRedirect( "index2.php?option=categories&section=com_peoplebook" );
  	} else {
    	mosRedirect( "index2.php?option=com_categories&section=com_peoplebook" );
  	}
    break;

  case "prone_users":
    prone_users( $option );
	break;

  case "prone_save":
    prone_save( $option );
	break;
	
  case "insert_editlink":
    insert_editlink( $option );
	break;

  default:
    showStaff( $option );
    break;
}

# Main functions start here ##################################################

function showStaff( $option ) {
  global $database, $mainframe;

  $catid = $mainframe->getUserStateFromRequest( "catid{$option}", 'catid', 0 );
  $limit = $mainframe->getUserStateFromRequest( "viewlistlimit", 'limit', 10 );
  $limitstart = $mainframe->getUserStateFromRequest( "view{$option}limitstart", 'limitstart', 0 );
  $search = $mainframe->getUserStateFromRequest( "search{$option}", 'search', '' );
  $search = $database->getEscaped( trim( strtolower( $search ) ) );

  $where = array();

  if ($catid > 0) {
    $where[] = "a.catid='$catid'";
  }
  if ($search) {
    $where[] = "LOWER(a.name) LIKE '%$search%'";
  }

  # Get the total number of records
  $database->setQuery( "SELECT count(*) FROM #__peoplebook AS a"
    . (count( $where ) ? "\nWHERE " . implode( ' AND ', $where ) : "")
  );
  $total = $database->loadResult();
  echo $database->getErrorMsg();

  include_once( "includes/pageNavigation.php" );
  $pageNav = new mosPageNav( $total, $limitstart, $limit  );

  $database->setQuery( "SELECT a.*, cc.title AS category"
    . "\nFROM #__peoplebook AS a"
    . "\nLEFT JOIN #__categories AS cc ON cc.id = a.catid"
    . (count( $where ) ? "\nWHERE " . implode( ' AND ', $where ) : "")
    . "\nORDER BY a.catid, a.ordering"
    . "\nLIMIT $pageNav->limitstart,$pageNav->limit"
  );

  $rows = $database->loadObjectList();
  if ($database->getErrorNum()) {
    echo $database->stderr();
    return false;
  }

  # Get list of categories
  $categories[] = mosHTML::makeOption( '0', _PBK_MESSAGES_SELECTCATEGORY );
  $categories[] = mosHTML::makeOption( '-1', "- "._PBK_MESSAGES_ALLCATEGORIES );
  $database->setQuery( "SELECT id AS value, title AS text FROM #__categories"
    . "\nWHERE section='com_peoplebook' ORDER BY ordering" );
  $categories = array_merge( $categories, $database->loadObjectList() );

  $clist = mosHTML::selectList( $categories, 'catid', 'class="inputbox" size="1" onchange="document.adminForm.submit();"',
    'value', 'text', $catid );

  html_peoplebook::showStaff( $option, $rows, $clist, $search, $pageNav );
}

##############################################################################

function editStaff( $option, $uid, $list ) {
  global $database, $my, $mosConfig_absolute_path, $mosConfig_live_site;

  $row = new mospeoplebook( $database );
  
  // If we create a new staff member who is not a mambo user, we give him an id greater than 10 000 000.
  // With this hack, we avoid conflict with id of mambo imported users.
  if (!$uid) {
    $database->setQuery( "SELECT MAX(id) FROM #__peoplebook WHERE id>9999999" );
    if ($max_id = $database->loadResult()) {
       $uid = $max_id+1;
    }
    else {
       $uid = 10000000;
    }
  }
  // Load the row from the db table
  $row->load( $uid );

  // Get list of categories
  $categories[] = mosHTML::makeOption( '0', _PBK_MESSAGES_SELECTCATEGORY );
//  deejey - Categoryhandling depends on J!-Version
  if (!defined('_JEXEC')) {
	$database->setQuery( "SELECT id AS value, name AS text FROM #__categories"
    . "\nWHERE section='$option' AND published=1 ORDER BY ordering" );
  } else {
	$database->setQuery( "SELECT id AS value, title AS text FROM #__categories"
    . "\nWHERE section='$option' AND published=1 ORDER BY ordering" );
  }
  $categories = array_merge( $categories, $database->loadObjectList() );

  if (count( $categories ) < 1) {
    mosRedirect( "index2.php?option=categories&section=$option",
      _PBK_MESSAGES_CATEGORYERROR );
  }

  $clist = mosHTML::selectList( $categories, 'catid', 'class="inputbox" size="1"',
    'value', 'text', intval( $row->catid ) );

/*  if (!$uid) {
    // Initialise new record
    $row->published = _PBK_PARAM_AUTOPUBLI;
  }
*/

  /*
  // Build the html select list for ordering
  $order = mosGetOrderingList( "SELECT ordering AS value, name AS text"
    . "\nFROM #__peoplebook"
    . "\nWHERE catid='$row->catid' ORDER BY ordering"
  );
  $olist = mosHTML::selectList( $order, 'ordering', 'class="inputbox" size="1"',
    'value', 'text', intval( $row->ordering ) );
  */

  // Create Picture List
  $imgFiles = mosReadDirectory( "$mosConfig_absolute_path/images/stories/"._PBK_PARAM_IMGDIR );
  $images = array( mosHTML::makeOption( '', _PBK_MESSAGES_SELECTIMAGE) );
  foreach ($imgFiles as $file) {
    if (preg_match("/".$uid."\.(png|jpg|jpeg|PNG|JPG|JPEG)$/", $file, $matches )) {
      $images[] = mosHTML::makeOption( $file, $row->name.".".$matches[1] );
    }
  /*  if (eregi( "bmp|gif|jpg|png", $file )) {
      $images[] = mosHTML::makeOption( $file );
    }*/
  }
  $imagelist = mosHTML::selectList( $images, 'picture', "class=\"inputbox\" size=\"1\""
  . " onchange=\"javascript:if (this.options[selectedIndex].value!='') {document.imagelib2.src='../images/stories/"._PBK_PARAM_IMGDIR."' + this.options[selectedIndex].value} else {document.imagelib2.src='../images/M_images/blank.png'}\"",
  'value', 'text', $row->picture );

  if (is_array($list['status'])) {
     foreach ($list['status'] as $cle => $value) {
         $stati[] = mosHTML::makeOption( "$cle", "$value" );
     }
     //$stati = array ("Active","Inactive","Retired","Honour-half");
     $statuslist = mosHTML::selectList( $stati, 'status', 'class="inputbox" size="1"', 'value', 'text', intval( $row->status ) );
  }
  else {$statuslist = '';}
  
  html_peoplebook::editStaff( $option, $row, $clist, $olist, $imagelist, $statuslist );
}

##############################################################################

function saveStaff( $option ) {
  global $database, $mosConfig_absolute_path;

  // Management for uploaded image.
  if ( function_exists("imagecreatefromjpeg") && isset($_FILES) && preg_match("/[^\.]+\.(png|jpg|jpeg|PNG|JPG|JPEG)$/",$_FILES['imgfile']['name']) ) {
     if ( is_uploaded_file($_FILES['imgfile']['tmp_name']) ) {
     	$uploaddir = $mosConfig_absolute_path."/images/stories/"._PBK_PARAM_IMGDIR;
     	$uploadfile = $uploaddir.$_POST['uid']; //.".jpg";
     	$array_img = getimagesize($_FILES['imgfile']['tmp_name']);
     	if ($array_img !== false) {
     	   $width_orig = $array_img[0];
	   $height_orig = $array_img[1];
	   $type_orig = $array_img['mime'];
       switch ($type_orig) {
   	      //case "image/gif" :
		 //$uploadfile .= ".gif";
		 //$type = "gif";
		 //echo "TESTGIF<br />";
		 //break;
   	    case "image/jpeg" :
		 $uploadfile .= ".jpg";
		 $type = "jpeg";
		 break;
   	    case "image/png" :
		 $uploadfile .= ".png";
		 $type = "png";
		 break;
   	    default :
		 $uploadfile .= ".jpg";
		 $type = "jpeg";
	   }
	   exec('rm '.$uploaddir.'/'.$_POST['uid'].'.*');
    	   $func_create = "imagecreatefrom".$type;
    	   $img_src = $func_create($_FILES['imgfile']['tmp_name']);
	   $height_dst = 150;
	   $width_dst = 150;
	   if ($height_orig > $height_dst || $width_orig > $width_dst ) {
	      if ($width_dst && ($width_orig < $height_orig)) {
   	      	 $width_dst = ($height_dst / $height_orig) * $width_orig;
 	      }
       	      else {
    	         $height_dst = ($width_dst / $width_orig) * $height_orig;
 	      }
	      $img_dst = imagecreatetruecolor($width_dst, $height_dst);
	      imagecopyresampled($img_dst, $img_src, 0, 0, 0, 0, $width_dst, $height_dst, $width_orig, $height_orig);
     	      $func_save = "image".$type;
     	      $func_save($img_dst, $uploadfile);
	   }
	   else {
     	      $func_save = "image".$type;
     	      $func_save($img_src, $uploadfile);
    	   }
     	   $_POST['picture'] = basename($uploadfile);
        }
     }
  }

  // We uppercase the first letter of name and position to avoid ordering problems in staff list.
  $_POST['name'] = ucfirst( $_POST['name'] );
  $_POST['position'] = ucfirst( $_POST['position'] );

  $row = new mospeoplebook( $database );
  if (!$row->bind( $_POST )) {
    echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
    exit();
  }

  // Test if this user id is already used in peoplebook table.
  $database->setQuery("SELECT id FROM #__peoplebook WHERE id = '$row->id'");
  // If not, we add the new entry in peoplebook table.
  if ( !$database->loadResult() ) {
    // We automagically publish the new entry if publication policy allow that.
    $row->published = _PBK_PARAM_AUTOPUBLI;
    $database->insertObject('#__peoplebook',$row,'id');
  }
  else {
  #$row->date = date( "Y-m-d H:i:s" );
    if (!$row->store()) {
       echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
       exit();
    }
  }
  $row->updateOrder( "catid='$row->catid'" );

  $idset_1 = $_POST[cfIDs];
  $idset_2 = $_POST[cfdIDs];
  $i = 0;

  foreach( $_POST[data] as $data )
  {
  	$dataset[data] = $data;
	$dataset[cfID] = $idset_1[$i];
	$dataset[cfdID] = $idset_2[$i];
	$dataset[uID] = $row->id;

	$row2 = new mospeoplebook_customfields_data( $database );
	
	if ( !$row2->bind( $dataset ) )
	{
	  echo "<script> alert('".$row2->getError()."'); window.history.go(-1); </script>\n";
   	  exit();
	}

	if ( !$row2->store( $dataset[cfdID] ) )
	{
      echo "<script> alert('".$row2->getError()."'); window.history.go(-1); </script>\n";
      exit();
    }
	$row2->updateOrder( "cfdID='$row2->cfdID'" );
	$i++;
  }

  mosRedirect( "index2.php?option=$option" );
}

##############################################################################

function removeStaff( $cid, $option ) {
  global $database;
  if (!is_array( $cid ) || count( $cid ) < 1) {
    echo "<script> alert('"._PBK_MESSAGES_SELECTITEMDELETE."'); window.history.go(-1);</script>\n";
    exit;
  }
  if (count( $cid )) {
    $cids = implode( ',', $cid );
    $database->setQuery( "DELETE FROM #__peoplebook WHERE id IN ($cids)" );
    if (!$database->query()) {
      echo "<script> alert('".$database->getErrorMsg()."'); window.history.go(-1); </script>\n";
    }
  }
  mosRedirect( "index2.php?option=$option" );
}

##############################################################################

function publishStaff( $cid=null, $publish=1,  $option ) {
  global $database, $my;
  $catid = mosGetParam( $_POST, 'catid', array(0) );
  if (!is_array( $cid ) || count( $cid ) < 1) {
    $action = $publish ? 'publish' : 'unpublish';
    if ($action == 'publish') {
       echo "<script> alert('"._PBK_MESSAGES_SELECTITEMPUBLISH."'); window.history.go(-1);</script>\n";
    }
    else {
       echo "<script> alert('"._PBK_MESSAGES_SELECTITEMUNPUBLISH."'); window.history.go(-1);</script>\n";
    }
    exit;
  }
  $cids = implode( ',', $cid );
  $database->setQuery( "UPDATE #__peoplebook SET published='$publish'WHERE id IN ($cids)" );
  if (!$database->query()) {
    echo "<script> alert('".$database->getErrorMsg()."'); window.history.go(-1); </script>\n";
    exit();
  }
  mosRedirect( "index2.php?option=$option" );
}

##############################################################################

function orderStaff( $uid, $inc, $option ) {
  global $database;
  $row = new mospeoplebook( $database );
  $row->load( $uid );
  $row->move( $inc, "published >= 0" );
  mosRedirect( "index2.php?option=$option" );
}

##############################################################################

function cancelStaff( $option ) {
  mosRedirect( "index2.php?option=$option" );
}

##############################################################################

function showConfig( $option, $list ) {
  global $mosConfig_absolute_path, $mosConfig_live_site, $database;

  $yesno[] = mosHTML::makeOption( '0', _PBK_FIELDS_NO );
  $yesno[] = mosHTML::makeOption( '1', _PBK_FIELDS_YES );
  $listdisp[] = mosHTML::makeOption( '0', _PBK_FIELDS_CARDVIEW );
  $listdisp[] = mosHTML::makeOption( '1', _PBK_FIELDS_LISTVIEW );
  $listdisp[] = mosHTML::makeOption( '2', _PBK_FIELDS_CATEGORYVIEW );
  $namdisp[] = mosHTML::makeOption( '0', _PBK_FIELDS_NAMEONLY );
  $namdisp[] = mosHTML::makeOption( '1', _PBK_FIELDS_NICKONLY );
  $namdisp[] = mosHTML::makeOption( '2', _PBK_FIELDS_NAMENICK );
  $namdisp[] = mosHTML::makeOption( '3', _PBK_FIELDS_NICKNAME );
  $sortcat[] = mosHTML::makeOption( 'ASC', _PBK_FIELDS_ASC );
  $sortcat[] = mosHTML::makeOption( 'DESC', _PBK_FIELDS_DESC );

  $listLang = Array();
  if ($handle = opendir($mosConfig_absolute_path.'/components/com_peoplebook/languages')) {
     while (false !== ($file = readdir($handle))) {
        if (preg_match("/([a-zA-Z]+)\.php/",$file,$matches)) {
    	   $lang_cour = $matches[1];
	   $iso_code_cour = substr($matches[1],0,2);
           $listLang[] = mosHTML::makeOption( "$lang_cour", $iso_code_cour );
        }
     }
  }

  $listImgDir = Array();
  if ($handle = opendir($mosConfig_absolute_path.'/images/stories')) {
     while (false !== ($file = readdir($handle))) {
        if (!preg_match("|\.|",$file)) {
           $listImgDir[] = mosHTML::makeOption( "$file"."/", $file );
        }
     }
  }
  sort($listImgDir);
  reset($listImgDir);

?>
    <script language="javascript" type="text/javascript">
    function submitbutton(pressbutton) {
      var form = document.adminForm;
      if (pressbutton == 'cancel') {
        submitform( pressbutton );
        return;
      }
      if (form.as_showphone.value == ""){
        alert( "Please check phones!" );
      } else {
        submitform( pressbutton );
      }
    }
    </script>

<link rel="stylesheet" type="text/css" media="all" href="<?php echo $mosConfig_live_site;?>/administrator/components/com_peoplebook/peoplebook.css" />

<table cellpadding="4" cellspacing="0" border="0" width="100%">
  <tr align="center">
  	<td>
      <img src="<?php echo $mosConfig_live_site;?>/components/com_peoplebook/images/logo.gif" alt="peoplebook">
    </td>
  </tr>
</table>

<form action="index2.php" method="POST" name="adminForm">
<table cellpadding="3" cellspacing="0" border="0" width="90%">
  <tr>
    <td width="10%" class="tabpadding">&nbsp;</td>
    <td id="tab1" class="offtab" onclick="dhtml.cycleTab(this.id)"><?php echo _PBK_TABS_MAINDISPLAY ?></td>
    <td id="tab2" class="offtab" onclick="dhtml.cycleTab(this.id)"><?php echo _PBK_TABS_DETAILEDDISPLAY ?></td>
    <td id="tab3" class="offtab" onclick="dhtml.cycleTab(this.id)"><?php echo _PBK_TABS_SEARCHCRITERIA ?></td>
    <td id="tab4" class="offtab" onclick="dhtml.cycleTab(this.id)"><?php echo _PBK_TABS_PREFERENCES ?></td>
    <td id="tab5" class="offtab" onclick="dhtml.cycleTab(this.id)"><?php echo _PBK_TABS_LISTCONTENT ?></td>
    <td width="10%" class="tabpadding">&nbsp;</td>
  </tr>
</table>

  <!-- PAGE 1 -->
  <div id="page1" class="pagetext">
  <table border="0" cellpadding="8" cellspacing="8" class="adminForm">
    <TR>
      <td class="sectionname" colspan="3"><div align="center"><?php echo _PBK_TITLE_MAINDISPLAYSETTINGS ?></div></td>
    </TR>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_FIELDS_MAINDISPLAY ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_md_showlist = mosHTML::selectList( $listdisp, 'as_md_showlist', 'class="inputbox" size="3"', 'value', 'text', _PBK_AS_MD_SHOWLIST );
        echo $yn_as_md_showlist;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPMAINDISPLAY ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_FIELDS_IMGGALLERYDISPLAY ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_md_showimggallery = mosHTML::selectList( $yesno, 'as_md_showimggallery', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_MD_SHOWIMGGALLERY );
        echo $yn_as_md_showimggallery;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPIMGGALLERYDISPLAY ?></td>
    </tr>

    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_FIELDS_SHOWIMGINLIST ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_md_showimginlist = mosHTML::selectList( $yesno, 'as_md_showimginlist', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_MD_SHOWIMGINLIST );
        echo $yn_as_md_showimginlist;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_SHOWIMGINLIST ?></td>
    </tr>

    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_FIELDS_NICKDISPLAY ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_md_shownick = mosHTML::selectList( $namdisp, 'as_md_shownick', 'class="inputbox" size="4"', 'value', 'text', _PBK_AS_MD_SHOWNICK );
        echo $yn_as_md_shownick;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPNICKDISPLAY ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_STAFFIN ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_md_showstaffin = mosHTML::selectList( $yesno, 'as_md_showstaffin', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_MD_SHOWSTAFFIN );
        echo $yn_as_md_showstaffin;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPSTAFFIN ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_STAFFOUT ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_md_showstaffout = mosHTML::selectList( $yesno, 'as_md_showstaffout', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_MD_SHOWSTAFFOUT );
        echo $yn_as_md_showstaffout;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPSTAFFOUT ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_TELEPHONE ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_md_showphone = mosHTML::selectList( $yesno, 'as_md_showphone', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_MD_SHOWPHONE );
        echo $yn_as_md_showphone;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPTELEPHONE ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_FAX ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_md_showfax = mosHTML::selectList( $yesno, 'as_md_showfax', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_MD_SHOWFAX );
        echo $yn_as_md_showfax;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPFAX ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_EMAIL ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_md_showmail = mosHTML::selectList( $yesno, 'as_md_showmail', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_MD_SHOWMAIL );
        echo $yn_as_md_showmail;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPEMAIL ?></td>
    </tr>
	  <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_CONTACTFORM ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_md_showcontact = mosHTML::selectList( $yesno, 'as_md_showcontact', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_MD_SHOWCONTACT );
        echo $yn_as_md_showcontact;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPCONTACTFORM ?></td>
    </tr>	
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_WEBSITE ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_md_showwebsite = mosHTML::selectList( $yesno, 'as_md_showwebsite', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_MD_SHOWWEBSITE );
        echo $yn_as_md_showwebsite;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPWEBSITE ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_LOCATION ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_md_showlocation = mosHTML::selectList( $yesno, 'as_md_showlocation', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_MD_SHOWLOCATION );
        echo $yn_as_md_showlocation;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPLOCATION ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_AGE ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_md_showage = mosHTML::selectList( $yesno, 'as_md_showage', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_MD_SHOWAGE );
        echo $yn_as_md_showage;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPAGE ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_STATUS ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_md_showstatus = mosHTML::selectList( $yesno, 'as_md_showstatus', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_MD_SHOWSTATUS );
        echo $yn_as_md_showstatus;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPSTATUS ?></td>
    </tr>
	<tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_POSITION ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_md_showposition = mosHTML::selectList( $yesno, 'as_md_showposition', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_MD_SHOWPOSITION );
        echo $yn_as_md_showposition;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPPOSITION ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_DETAILEDLINK ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_md_showdetailedlink = mosHTML::selectList( $yesno, 'as_md_showdetailedlink', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_MD_SHOWDETAILEDLINK );
        echo $yn_as_md_showdetailedlink;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPDETAILEDLINK ?></td>
    </tr>
  </table>
  </div>

  <!-- PAGE 2 -->
  <div id="page2" class="pagetext">
  <table border="0" cellpadding="8" cellspacing="8" class="adminForm">
    <TR>
      <td class="sectionname" colspan="3"><div align="center"><?php echo _PBK_TITLE_DETAILEDDISPLAYSETTINGS ?></div></td>
    </TR>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_STAFFIN ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_showstaffin = mosHTML::selectList( $yesno, 'as_showstaffin', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_SHOWSTAFFIN );
        echo $yn_as_showstaffin;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPSTAFFIN ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_STAFFOUT ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_showstaffout = mosHTML::selectList( $yesno, 'as_showstaffout', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_SHOWSTAFFOUT );
        echo $yn_as_showstaffout;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPSTAFFOUT ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_TELEPHONE ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_showphone = mosHTML::selectList( $yesno, 'as_showphone', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_SHOWPHONE );
        echo $yn_as_showphone;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPTELEPHONE ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_FAX ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_showfax = mosHTML::selectList( $yesno, 'as_showfax', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_SHOWFAX );
        echo $yn_as_showfax;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPFAX ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_EMAIL ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_showmail = mosHTML::selectList( $yesno, 'as_showmail', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_SHOWMAIL );
        echo $yn_as_showmail;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPEMAIL ?></td>
    </tr>
	  <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_CONTACTFORM ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_showcontact = mosHTML::selectList( $yesno, 'as_showcontact', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_SHOWCONTACT );
        echo $yn_as_showcontact;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPCONTACTFORM ?></td>
    </tr>	
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_WEBSITE ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_showwebsite = mosHTML::selectList( $yesno, 'as_showwebsite', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_SHOWWEBSITE );
        echo $yn_as_showwebsite;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPWEBSITE ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_LOCATION ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_showlocation = mosHTML::selectList( $yesno, 'as_showlocation', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_SHOWLOCATION );
        echo $yn_as_showlocation;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPLOCATION ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_AGE ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_showage = mosHTML::selectList( $yesno, 'as_showage', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_SHOWAGE );
        echo $yn_as_showage;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPAGE ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_STATUS ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_showstatus = mosHTML::selectList( $yesno, 'as_showstatus', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_SHOWSTATUS );
        echo $yn_as_showstatus;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPSTATUS ?></td>
    </tr>
	<tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_POSITION ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_showposition = mosHTML::selectList( $yesno, 'as_showposition', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_SHOWPOSITION );
        echo $yn_as_showposition;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPPOSITION ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_BIOGRAPHY ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_showbiography = mosHTML::selectList( $yesno, 'as_showbiography', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_SHOWBIOGRAPHY );
        echo $yn_as_showbiography;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPBIOGRAPHY ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_PICTURE ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_showpicture = mosHTML::selectList( $yesno, 'as_showpicture', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_SHOWPICTURE );
        echo $yn_as_showpicture;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPPICTURE ?></td>
    </tr>
  </table>
  </div>

  <!-- PAGE 3 -->
  <div id="page3" class="pagetext">
  <table border="0" cellpadding="8" cellspacing="8" class="adminForm">
    <TR>
      <td class="sectionname" colspan="3"><div align="center"><?php echo _PBK_TITLE_SEARCHCRITERIASETTINGS ?></div></td>
    </TR>
<!-- 
### MODIF SD ################################    
    ajoute pour SEARCHNAME (SD) 
-->
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_NAME ?></strong></td>
      <td align="left" valign="top">
      <?php
         $yn_as_md_searchname = mosHTML::selectList( $yesno, 'as_md_searchname', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_MD_SEARCHNAME );
         echo $yn_as_md_searchname;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPSEARCHNAME ?></td>
    </tr>
<!-- 
### FIN MODIF SD ################################    
-->

    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_STATUS ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_md_searchstatus = mosHTML::selectList( $yesno, 'as_md_searchstatus', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_MD_SEARCHSTATUS );
        echo $yn_as_md_searchstatus;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPSEARCHSTATUS ?></td>
    </tr>

    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_CATEGORY ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_md_searchcategory = mosHTML::selectList( $yesno, 'as_md_searchcategory', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_MD_SEARCHCATEGORY );
        echo $yn_as_md_searchcategory;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPSEARCHCATEGORY ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_POSITION ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_md_searchposition = mosHTML::selectList( $yesno, 'as_md_searchposition', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_MD_SEARCHPOSITION );
        echo $yn_as_md_searchposition;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPSEARCHPOSITION ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_TELEPHONE ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_md_searchphone = mosHTML::selectList( $yesno, 'as_md_searchphone', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_MD_SEARCHPHONE );
        echo $yn_as_md_searchphone;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPSEARCHTELEPHONE ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_FAX ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_md_searchfax = mosHTML::selectList( $yesno, 'as_md_searchfax', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_MD_SEARCHFAX );
        echo $yn_as_md_searchfax;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPSEARCHFAX ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_EMAIL ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_md_searchmail = mosHTML::selectList( $yesno, 'as_md_searchmail', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_MD_SEARCHMAIL );
        echo $yn_as_md_searchmail;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPSEARCHEMAIL ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_WEBSITE ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_md_searchwebsite = mosHTML::selectList( $yesno, 'as_md_searchwebsite', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_MD_SEARCHWEBSITE );
        echo $yn_as_md_searchwebsite;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPSEARCHWEBSITE ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_LOCATION ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_md_searchlocation = mosHTML::selectList( $yesno, 'as_md_searchlocation', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_MD_SEARCHLOCATION );
        echo $yn_as_md_searchlocation;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPSEARCHLOCATION ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_SPECIAL_DISPLAY." "._PBK_FIELDS_AGE ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_as_md_searchage = mosHTML::selectList( $yesno, 'as_md_searchage', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_MD_SEARCHAGE );
        echo $yn_as_md_searchage;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPSEARCHAGE ?></td>
    </tr>
  </table>
  </div>

  <!-- PAGE 4 -->
  <div id="page4" class="pagetext">
  <table border="0" cellpadding="8" cellspacing="8" class="adminForm">
    <TR>
      <td class="sectionname" colspan="3"><div align="center"><?php echo _PBK_TITLE_PREFERENCESSETTINGS ?></div></td>
    </TR>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_FIELDS_PUBLICATIONPOLICY ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_auto_publi = mosHTML::selectList( $yesno, 'auto_publi', 'class="inputbox" size="2"', 'value', 'text', _PBK_PARAM_AUTOPUBLI );
        echo $yn_auto_publi;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPPUBLICATIONPOLICY ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_FIELDS_USEEDITOR ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_use_editor = mosHTML::selectList( $yesno, 'use_editor', 'class="inputbox" size="4"', 'value', 'text', _PBK_PARAM_USEEDITOR );
        echo $yn_use_editor;
      ?>
       </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPUSEEDITOR ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_FIELDS_SORTCATEGORIES ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_sort_categories = mosHTML::selectList( $sortcat, 'sort_categories', 'class="inputbox" size="4"', 'value', 'text', _PBK_PARAM_SORTCATEGORIES );
        echo $yn_sort_categories;
      ?>
       </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPSORTCATEGORIES ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_FIELDS_IMGDIR ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_img_dir = mosHTML::selectList( $listImgDir, 'img_dir', 'class="inputbox" size="4"', 'value', 'text', _PBK_PARAM_IMGDIR );
        echo $yn_img_dir;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPIMGDIR ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_FIELDS_PRESENTATIONEMAIL ?></strong></td>
      <td align="left" valign="top">
      <?php
        $yn_presentation_email = mosHTML::selectList( $yesno, 'as_presentationemail', 'class="inputbox" size="2"', 'value', 'text', _PBK_AS_PRESENTATIONEMAIL );
        echo $yn_presentation_email;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPPRESENTATIONEMAIL ?></td>
    </tr>
    <tr align="center" valign="middle">
      <td align="left" valign="top"><strong><?php echo _PBK_FIELDS_ADMINISTRATOREMAIL ?></strong></td>
      <td align="left" valign="top">
      <?php
      	echo '<input type="text" size="20" name="administratoremail" value="'._PBK_PARAM_ADMINISTRATOREMAIL.'">';
      ?>
      </td>
      <td align="left" valign="top"><?php echo _PBK_MESSAGES_HELPADMINISTRATOREMAIL ?></td>
    </tr>
  </table>
  </div>

  <!-- PAGE 5 -->
  <div id="page5" class="pagetext">
  <table border="0" cellpadding="8" cellspacing="8" class="adminForm">
    <TR>
      <td class="sectionname" colspan="3"><div align="center"><?php echo _PBK_TABS_LISTCONTENT ?></div></td>
    </TR>
    <tr>
    <td>
    	<table border="0">
    	<tr align="center" valign="middle">
      	<td><strong><?php echo _PBK_FIELDS_STATUSLIST ?></strong></td>
    	</tr>
      	<?php
      	  foreach ($list['status'] as $value) {
 	      $stati[] = $value;
   	  }
	  $i = 0;
	  while ($i < 15) {
  	     echo '<tr align="center" valign="middle"><td><input type="text" class="inputbox" name=statuslist[] value="'.$stati[$i].'"></td></tr>';
       	     $i++;
          }
      	  ?>
      	  </table>
     </td>
     </tr>
  </table>
  </div>

	<!--  set all tabs/pages to off and tab1 to on (neccesary for 1.5)-->
    <script language="javascript" type="text/javascript">
  		dhtml.cycleTab('tab1');
  		dhtml.cycleTab('tab2');
   		dhtml.cycleTab('tab3');
  		dhtml.cycleTab('tab4');
  		dhtml.cycleTab('tab5');
  		dhtml.cycleTab('tab1');  		
   	</script>

  <input type="hidden" name="option" value="<?php echo $option; ?>">
  <input type="hidden" name="task" value="">
</form>

<table cellpadding="4" cellspacing="0" border="0" width="100%">
  <tr align="center">
  	<td>
      <?php echo "&nbsp;&nbsp;Version ", _PBK_PARAM_VERSION;?>
    </td>
  </tr>
</table>
      	  
<?php

}

##############################################################################

function saveConfig ( $option ) {

  global $database;
  //$database->setQuery( "INSERT INTO `mos_akostaff_custom_fields` ( `custom_field_id` , `custom_field_desc_1` , `custom_field_desc_2` , `custom_field_desc_3` , `custom_field_desc_4` , `custom_field_desc_5` , `custom_field_desc_6` , `custom_field_desc_7` , `custom_field_desc_8` , `custom_field_desc_9` , `custom_field_desc_10` , `custom_field_desc_11` , `custom_field_desc_12` , `custom_field_desc_13` , `custom_field_desc_14` , `custom_field_desc_15` , `custom_field_desc_16` ) VALUES ( $custom_field_desc[1], $custom_field_desc[2], $custom_field_desc[3], $custom_field_desc[4], $custom_field_desc[5], $custom_field_desc[6], $custom_field_desc[7], $custom_field_desc[8], $custom_field_desc[9], $custom_field_desc[10], $custom_field_desc[11], $custom_field_desc[12], $custom_field_desc[13], $custom_field_desc[14], $custom_field_desc[15], $custom_field_desc[16] )" );
  //$database->query();
  //$database->setQuery( "DELETE FROM #__peoplebook_custom_fields");
  //$database->query();
  //$database->setQuery( "INSERT INTO #__peoplebook_custom_fields ( `custom_field_desc_1` , `custom_field_desc_2` , `custom_field_desc_3` , `custom_field_desc_4` , `custom_field_desc_5` , `custom_field_desc_6` , `custom_field_desc_7` , `custom_field_desc_8` , `custom_field_desc_9` , `custom_field_desc_10` , `custom_field_desc_11` , `custom_field_desc_12` , `custom_field_desc_13` , `custom_field_desc_14` , `custom_field_desc_15` , `custom_field_desc_16` ) VALUES ('$custom_field_desc[1]', '$custom_field_desc[2]', '$custom_field_desc[3]', '$custom_field_desc[4]', '$custom_field_desc[5]', '$custom_field_desc[6]', '$custom_field_desc[7]', '$custom_field_desc[8]', '$custom_field_desc[9]', '$custom_field_desc[10]', '$custom_field_desc[11]', '$custom_field_desc[12]', '$custom_field_desc[13]', '$custom_field_desc[14]', '$custom_field_desc[15]', '$custom_field_desc[16]');" );
  //$database->query();
  $configfile = "components/com_peoplebook/config.peoplebook.php";
  @chmod ($configfile, 0766);
  $permission = is_writable($configfile);
  if (!$permission) {
    $mosmsg = _PBK_MESSAGES_ERRORCONFIGFILE;
    mosRedirect("index2.php?option=$option&act=settings",$mosmsg);
    break;
  }

  $config = "<?php\n";
  $config .= "DEFINE('_PBK_AS_SHOWPOSITION', \"".$_POST['as_showposition']."\");\n";
  $config .= "DEFINE('_PBK_AS_SHOWSTAFFIN', \"".$_POST['as_showstaffin']."\");\n";
  $config .= "DEFINE('_PBK_AS_SHOWSTAFFOUT', \"".$_POST['as_showstaffout']."\");\n";
  $config .= "DEFINE('_PBK_AS_SHOWPHONE', \"".$_POST['as_showphone']."\");\n";
  $config .= "DEFINE('_PBK_AS_SHOWFAX', \"".$_POST['as_showfax']."\");\n";
  $config .= "DEFINE('_PBK_AS_SHOWMAIL', \"".$_POST['as_showmail']."\");\n";
  $config .= "DEFINE('_PBK_AS_SHOWWEBSITE', \"".$_POST['as_showwebsite']."\");\n";
  $config .= "DEFINE('_PBK_AS_SHOWLOCATION', \"".$_POST['as_showlocation']."\");\n";
  $config .= "DEFINE('_PBK_AS_SHOWSTATUS', \"".$_POST['as_showstatus']."\");\n";
  $config .= "DEFINE('_PBK_AS_SHOWBIOGRAPHY', \"".$_POST['as_showbiography']."\");\n";
  $config .= "DEFINE('_PBK_AS_SHOWPICTURE', \"".$_POST['as_showpicture']."\");\n";
  $config .= "DEFINE('_PBK_AS_SHOWAGE', \"".$_POST['as_showage']."\");\n";
  $config .= "DEFINE('_PBK_AS_SHOWCONTACT', \"".$_POST['as_showcontact']."\");\n";
  $config .= "DEFINE('_PBK_AS_MD_SHOWLIST', \"".$_POST['as_md_showlist']."\");\n";
  $config .= "DEFINE('_PBK_AS_MD_SHOWIMGGALLERY', \"".$_POST['as_md_showimggallery']."\");\n";
  $config .= "DEFINE('_PBK_AS_MD_SHOWNICK', \"".$_POST['as_md_shownick']."\");\n";
  $config .= "DEFINE('_PBK_AS_MD_SHOWPOSITION', \"".$_POST['as_md_showposition']."\");\n";
  $config .= "DEFINE('_PBK_AS_MD_SHOWSTAFFIN', \"".$_POST['as_md_showstaffin']."\");\n";
  $config .= "DEFINE('_PBK_AS_MD_SHOWSTAFFOUT', \"".$_POST['as_md_showstaffout']."\");\n";
  $config .= "DEFINE('_PBK_AS_MD_SHOWPHONE', \"".$_POST['as_md_showphone']."\");\n";
  $config .= "DEFINE('_PBK_AS_MD_SHOWFAX', \"".$_POST['as_md_showfax']."\");\n";
  $config .= "DEFINE('_PBK_AS_MD_SHOWMAIL', \"".$_POST['as_md_showmail']."\");\n";
  $config .= "DEFINE('_PBK_AS_MD_SHOWWEBSITE', \"".$_POST['as_md_showwebsite']."\");\n";
  $config .= "DEFINE('_PBK_AS_MD_SHOWLOCATION', \"".$_POST['as_md_showlocation']."\");\n";
  $config .= "DEFINE('_PBK_AS_MD_SHOWSTATUS', \"".$_POST['as_md_showstatus']."\");\n";
  $config .= "DEFINE('_PBK_AS_MD_SHOWAGE', \"".$_POST['as_md_showage']."\");\n";
  $config .= "DEFINE('_PBK_AS_MD_SHOWCONTACT', \"".$_POST['as_md_showcontact']."\");\n";
  $config .= "DEFINE('_PBK_AS_MD_SHOWDETAILEDLINK', \"".$_POST['as_md_showdetailedlink']."\");\n";
  $config .= "DEFINE('_PBK_AS_MD_SEARCHPOSITION', \"".$_POST['as_md_searchposition']."\");\n";
  $config .= "DEFINE('_PBK_AS_MD_SEARCHPHONE', \"".$_POST['as_md_searchphone']."\");\n";
  $config .= "DEFINE('_PBK_AS_MD_SEARCHFAX', \"".$_POST['as_md_searchfax']."\");\n";
  $config .= "DEFINE('_PBK_AS_MD_SEARCHMAIL', \"".$_POST['as_md_searchmail']."\");\n";
  $config .= "DEFINE('_PBK_AS_MD_SEARCHWEBSITE', \"".$_POST['as_md_searchwebsite']."\");\n";
  $config .= "DEFINE('_PBK_AS_MD_SEARCHLOCATION', \"".$_POST['as_md_searchlocation']."\");\n";
  $config .= "DEFINE('_PBK_AS_MD_SEARCHNAME', \"".$_POST['as_md_searchname']."\");\n";
  $config .= "DEFINE('_PBK_AS_MD_SEARCHSTATUS', \"".$_POST['as_md_searchstatus']."\");\n";
  $config .= "DEFINE('_PBK_AS_MD_SEARCHCATEGORY', \"".$_POST['as_md_searchcategory']."\");\n";
  $config .= "DEFINE('_PBK_AS_MD_SEARCHAGE', \"".$_POST['as_md_searchage']."\");\n";
  $config .= "DEFINE('_PBK_AS_MD_SHOWIMGINLIST', \"".$_POST['as_md_showimginlist']."\");\n";
  $config .= "DEFINE('_PBK_AS_PRESENTATIONEMAIL', \"".$_POST['as_presentationemail']."\");\n";
  $config .= "DEFINE('_PBK_PARAM_USEEDITOR', \"".$_POST['use_editor']."\");\n";
  $config .= "DEFINE('_PBK_PARAM_SORTCATEGORIES', \"".$_POST['sort_categories']."\");\n";
  $config .= "DEFINE('_PBK_PARAM_VERSION', \"1.1.8\");\n";  
  $config .= "\n";
  $config .= "\$auto_publi = \"".$_POST['auto_publi']."\";\n";
  //$config .= "\$selected_lang = \"".$_POST['selected_lang']."\";\n";
  $config .= "\$img_dir = \"".$_POST['img_dir']."\";\n";
  $config .= "\$administrator_email = \"".$_POST['administratoremail']."\";\n";
  $config .= "\n";
  foreach ($_POST['statuslist'] as $cle=>$value) {
     if ( isset($value) && $value != '') {
     	$config .= "\$list['status'][".$cle."] = \"".ucfirst($value)."\";\n";
     }
  }
  $config .= "?>";

  if ($fp = fopen("$configfile", "w")) {
    fputs($fp, $config, strlen($config));
    fclose ($fp);
  }

  mosRedirect("index2.php?option=$option&task=settings", _PBK_MESSAGES_SETTINGSSAVED);
}

function list_custom_fields( $option )
{
	global $database;
	$database->setQuery( "SELECT * FROM #__peoplebook_custom_fields" );
	$custom_fields = $database->loadObjectList();
	html_peoplebook::list_custom_fields( $option, $custom_fields );
}

function new_custom_field( $option )
{
	html_peoplebook::new_custom_field( $option, $cfID );
}

function edit_custom_field( $option )
{
	html_peoplebook::edit_custom_field( $option );
}

function save_custom_field( $option )
{
  global $database, $my;

  $row = new mospeoplebook_customfields( $database );
  if (!$row->bind( $_POST )) {
    echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
    exit();
  }
  //echo 'cfID = '.$_POST['cfID'].'<br />';
  //echo 'cfID = '.$row->cfID.'<br />';
  //$row->date = date( "Y-m-d H:i:s" );
  if (!$row->store() ) {
    echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
    exit();
  }
  $row->updateOrder( "cfID='$row->cfID'" );
  mosRedirect( "index2.php?option=$option&task=list_custom_fields" );
}

function del_custom_field( $option, $cid )
{
  global $database;

  /*
  if (!is_array( $cid ) || count( $cid ) < 1)
  {
    echo "<script> alert('"._PBK_MESSAGES_SELECTITEMDELETE."'); window.history.go(-1);</script>\n";
    exit;
  }
  */

  if (isset( $cid ))
  {
    $database->setQuery( "DELETE FROM #__peoplebook_custom_fields WHERE cfID = $cid" );
    if (!$database->query())
	{
      echo "<script> alert('".$database->getErrorMsg()."'); window.history.go(-1); </script>\n";
    }
	$database->setQuery( "DELETE FROM #__peoplebook_custom_fields_data WHERE cfID = $cid" );
    if (!$database->query())
	{
      echo "<script> alert('".$database->getErrorMsg()."'); window.history.go(-1); </script>\n";
    }
  }
  mosRedirect( "index2.php?option=$option&task=list_custom_fields" );
}

function prone_users( $option )
{
  html_peoplebook::prone_users( $option );
}

function prone_save( $option )
{
  global $database;

  // creating categorie imported users
  $database->setQuery( "SELECT id FROM #__categories WHERE title = 'Import' AND section = 'com_peoplebook'" );
  $id = $database->loadResult();

  if( $id == NULL )
  {
    $database->setQuery( "INSERT INTO `#__categories` (`title`, `name`, `section`, `image_position`, `description`, `published`, `checked_out`, `checked_out_time`, `editor`, `ordering`, `access`, `count`) VALUES ('Import', '"._PBK_FIELDS_IMPORTEDUSERS."', 'com_peoplebook', 'left', 'People added with import tool.', 0, 0, '0000-00-00 00:00:00', NULL, 0, 0, 0)");
    $database->query();
    $database->setQuery( "SELECT id FROM #__categories WHERE title = 'Import' AND section = 'com_peoplebook'" );
    $idCat = $database->loadResult();
  }

  $database->setQuery( "SELECT * FROM #__users" );
  $users = $database->loadObjectList();
  $atLeastOne = false;
  echo '<table align="center" border="1" cellpadding="4" cellspacing="0">';
  foreach( $users as $user )
  {
	//$database->setQuery( "SELECT * FROM #__peoplebook WHERE name LIKE '$user->name' OR nick LIKE '$user->username' " );
	$database->setQuery( "SELECT id FROM #__peoplebook WHERE id = '$user->id'" );
	$res = $database->loadResult();
	if( $res == NULL )
	{
	  $database->setQuery( "INSERT INTO `#__peoplebook` ( `id` , `catid` , `name` , `position` , `nick` , `tel` , `fax` , `email` , `website` , `place` , `age` , `biography` , `hits` , `picture` , `picture_position` , `staff_in` , `staff_out` , `status` , `published` , `ordering` , `checked_out` ) VALUES ( '$user->id', '$idCat', '$user->name', '', '$user->username', '', '', '$user->email', '', '', '', '', '0', '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '"._PBK_PARAM_AUTOPUBLI."', '0', '0' )" );
	  $database->query();
	  echo '<tr><td>'.$user->username.' '._PBK_MESSAGES_MIGRATED.'</td></tr>';
	  $atLeastOne = true;
	}
  }
  if( !$atLeastOne ) {
       echo '<tr><td>'._PBK_MESSAGES_NOUSERIMPORT.'</td></tr>';
  }
  echo '</table><br />';
  echo '<a href="index2.php?option='.$option.'"> << '._PBK_FIELDS_BACK.'</a>';
  //mosRedirect( "index2.php?option=$option" );
}

function create_field_type( $field_type, $value, $mode )
{
  switch( $field_type->field_type )
  {
		case "ibox":
	      $return = '<input type="text" name="data[]" maxlength="'.$field_type->max_chars.'" value="'.$value.'">';
		  $return2 = 'inputbox: <br />maxlength='.$field_type->max_chars;
	    break;

    	case "txarea":
	  	  $return = '<textarea cols="'.$field_type->max_cols.'" rows="'.$field_type->max_rows.'" name="data[]">'.$value.'</textarea>';
  		  $return2 = 'textarea: <br />cols='.$field_type->max_cols.'<br />max_rows='.$field_type->max_rows;
	  	break;

		case "chkb":
		  if( $value == '1' )
	  	  {
		    $return = '<input type="checkbox" name="data[]" value="1" checked>';
		  }
		  else
		  {
		    $return = '<input type="checkbox" name="data[]" value="1">';
		  }
		  $return2 = 'checkbox';
	  	break;
  }
  if( $mode == 'html' )
  	return $return;
  else
  	return $return2;
}

function insert_editlink( $option )
{
  global $database;

  $database->setQuery( "SELECT id FROM `#__menu`
  		        WHERE `menutype`='usermenu' AND `link`='index.php?option=com_peoplebook&func=edit_profile'" );
  if( !$database->loadResult() ) {

     $database->setQuery( "INSERT INTO `#__menu` (
							`id`,
							`menutype`,
							`name`,
							`link`,
							`type`,
							`published`,
							`parent`,
							`componentid`,
							`sublevel`,
							`ordering`,
							`checked_out`,
							`checked_out_time`,
							`pollid`,
							`browserNav`,
							`access`,
							`utaccess`,
							`params`
										)
				  VALUES (
				    		'',
							'usermenu',
							'Edit Profile',
							'index.php?option=com_peoplebook&func=edit_profile',
							'url',
							1,
							0,
							0,
							0,
							6,
							0,
							'0000-00-00 00:00:00',
							0,
							0,
							1,
							0,
							'menu_image=-1'
										)" );
	if( $database->query() )
	{
	  echo _PBK_MESSAGES_LINKCREATED.'<br />';
	  echo '<a href="index2.php?option='.$option.'">'._PBK_MESSAGES_GOTOPEOPLEBOOK.'</a>';
	}
   }
   else {
      echo _PBK_MESSAGES_LINKEXISTS.'<br />';
      echo '<a href="index2.php?option='.$option.'">'._PBK_MESSAGES_GOTOPEOPLEBOOK.'</a>';
   }
}

?>
